#ifndef _CHRONOPTICS_TOF_MIXED_PIXEL_LUT_HPP_
#define _CHRONOPTICS_TOF_MIXED_PIXEL_LUT_HPP_

#include <chronoptics/tof/mixed_pixel_lut.h>

#include <chronoptics/tof/base.hpp>

namespace chronoptics {
namespace tof {

/** Mixed Pixel Comression Function enum. The mixed pixel lookup table contains
 * more useful information in some parts of the table then others. We can
 * compress the less useful information by taking the sqrt() or log() of the
 * table. Currently only the sqrt() is implimented.
 */
enum class MpLutCompression {
  NONE = 0, /** No compression function is used */
  SQRT = 1, /** The sqrt function is used */
  LOG2 = 2, /** The natural log */
  LOG10 = 3, /** Use log10 */
  BINARY = 4, /** Knocking out binary bits to compress the table */
};

} // tof
} // chronoptics

#endif
